CREATE TABLE ask_tasks_b (
    TASK_ID                       NUMBER(18, 0) ,
    PRODUCER_ID                   VARCHAR2(4000),
    PARAMETERS                    VARCHAR2(4000),
    OWNER                         VARCHAR2(320) ,
    TASK_FLOW_ID                  NUMBER(18, 0) ,
    INVOCATION_TYPE               VARCHAR2(120) ,
    ESS_PROGRAM_ID                NUMBER(18, 0) ,
    ENTERPRISE_APP_SHORT_NAME     VARCHAR2(2000),
    MODULE_SHORT_NAME             VARCHAR2(2000),
    TEST_APPLICATION_LOCATION     VARCHAR2(4000),
    TASK_SHORT_NAME               VARCHAR2(960) ,
    TASK_TYPE_CODE                VARCHAR2(120) ,
    UI_MOCKUP_URL                 VARCHAR2(4000),
    WIREFRAME_URL                 VARCHAR2(4000),
    ADF_TASK_FLOW                 VARCHAR2(4000),
    PROGRAM_NAME                  VARCHAR2(960) ,
    ENABLED_FLAG                  VARCHAR2(4)   ,
    APPLICATION_ID                NUMBER(18, 0) ,
    MODULE_ID                     VARCHAR2(128) ,
    ENTERPRISE_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)  ,
    CREATED_BY                    VARCHAR2(256) ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    FULL_WINDOW_UI_INVOCATION     VARCHAR2(4)   ,
    HELP_TOPIC_ID                 VARCHAR2(2000),
    TARGET                        VARCHAR2(800) ,
    PERFORM_TASK_TYPE             VARCHAR2(120) ,
    DELIVERY_RELEASE_VERSION      VARCHAR2(320) ,
    AVAILABLE_RELEASE_VERSION     VARCHAR2(320) ,
    EXPIRATION_RELEASE_VERSION    VARCHAR2(320) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    AVAILABLE_FLAG                VARCHAR2(4)   ,
    TASK_ID                       NUMBER(18, 0) ,
    PRODUCER_ID                   VARCHAR2(4000),
    PARAMETERS                    VARCHAR2(4000),
    OWNER                         VARCHAR2(320) ,
    TASK_FLOW_ID                  NUMBER(18, 0) ,
    INVOCATION_TYPE               VARCHAR2(120) ,
    ESS_PROGRAM_ID                NUMBER(18, 0) ,
    ENTERPRISE_APP_SHORT_NAME     VARCHAR2(2000),
    MODULE_SHORT_NAME             VARCHAR2(2000),
    TEST_APPLICATION_LOCATION     VARCHAR2(4000),
    TASK_SHORT_NAME               VARCHAR2(960) ,
    TASK_TYPE_CODE                VARCHAR2(120) ,
    UI_MOCKUP_URL                 VARCHAR2(4000),
    WIREFRAME_URL                 VARCHAR2(4000),
    ADF_TASK_FLOW                 VARCHAR2(4000),
    PROGRAM_NAME                  VARCHAR2(960) ,
    ENABLED_FLAG                  VARCHAR2(4)   ,
    APPLICATION_ID                NUMBER(18, 0) ,
    MODULE_ID                     VARCHAR2(128) ,
    ENTERPRISE_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)  ,
    CREATED_BY                    VARCHAR2(256) ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    FULL_WINDOW_UI_INVOCATION     VARCHAR2(4)   ,
    HELP_TOPIC_ID                 VARCHAR2(2000),
    TARGET                        VARCHAR2(800) ,
    PERFORM_TASK_TYPE             VARCHAR2(120) ,
    DELIVERY_RELEASE_VERSION      VARCHAR2(320) ,
    AVAILABLE_RELEASE_VERSION     VARCHAR2(320) ,
    EXPIRATION_RELEASE_VERSION    VARCHAR2(320) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    AVAILABLE_FLAG                VARCHAR2(4)   
);
